Bug 1396184 - configuring external auth crashes appliance console 5.7.0.11
Summary: configuring external auth crashes appliance console 5.7.0.11
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Appliance
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.8.0
Assignee: Joe Vlcek
QA Contact: luke couzens
URL:
Whiteboard: black:ldap
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-11-17 17:15 UTC by luke couzens
Modified: 2017-05-31 14:24 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:24:18 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description luke couzens 2016-11-17 17:15:02 UTC
Description of problem:configuring external auth crashes appliance console 5.7.0.11


Version-Release number of selected component (if applicable):5.7.0.11


How reproducible:100%


Steps to Reproduce:
1.provision appliance
2.run appliance_console
3.select option 14
4.follow prompts to configure

Actual results:appliance console crashes when restarting sssd and httpd


Expected results:appliance console does not crash while finishing setup


Additional info:

Although appliance_console crashes it seems external auth is actually setup

Configuring IPA (may take a minute) ...
Configuring the IPA Client ...
Configuring pam ...
Configuring sssd ...
Configuring IPA HTTP Service and Keytab ...
Configuring httpd ...
Configuring SELinux ...

Restarting sssd and httpd ...
/opt/rh/cfme-gemset/gems/awesome_spawn-1.4.1/lib/awesome_spawn.rb:105:in `run!': /bin/systemctl exit code: 1 (AwesomeSpawn::CommandResultError)
	from /opt/rh/cfme-gemset/gems/linux_admin-0.19.0/lib/linux_admin/common.rb:24:in `run!'
	from /opt/rh/cfme-gemset/gems/linux_admin-0.19.0/lib/linux_admin/service/systemd_service.rb:21:in `start'
	from /opt/rh/cfme-gemset/gems/linux_admin-0.19.0/lib/linux_admin/service/systemd_service.rb:40:in `restart'
	from /var/www/miq/vmdb/gems/pending/appliance_console/external_httpd_authentication.rb:83:in `block in post_activation'
	from /var/www/miq/vmdb/gems/pending/appliance_console/external_httpd_authentication.rb:83:in `each'
	from /var/www/miq/vmdb/gems/pending/appliance_console/external_httpd_authentication.rb:83:in `post_activation'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:278:in `block in <module:ApplianceConsole>'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:109:in `loop'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:109:in `<module:ApplianceConsole>'
	from /var/www/miq/vmdb/gems/pending/appliance_console.rb:95:in `<main>'

Comment 2 Joe Vlcek 2016-11-17 18:06:41 UTC
Hey Luke,

I suspect your appliance my not be correctly configured.

Can you please confirm your appliance is running with the command:
  systemctl status evmserverd

When you configured your database with the appliance_console did you happen
to answer "yes" to the prompt:
   `Configure this server as a dedicated database instance? (Y/N): `

You need to answer "no" to that.

Comment 3 luke couzens 2016-11-17 18:51:01 UTC
Hey Joe,

So I think you are correct, I can only reproduce this on an unconfigured appliance. On that note though should we really see an appliance console crash, regardless if evm is started or not?

Comment 5 CFME Bot 2017-01-19 18:52:41 UTC
New commit detected on ManageIQ/manageiq-gems-pending/master:
https://github.com/ManageIQ/manageiq-gems-pending/commit/4edf0a906b9af85fd4212394cd851a7060c7baf7

commit 4edf0a906b9af85fd4212394cd851a7060c7baf7
Author:     Joe VLcek <jvlcek@redhat.com>
AuthorDate: Tue Jan 17 20:13:04 2017 -0500
Commit:     Joe VLcek <jvlcek@redhat.com>
CommitDate: Thu Jan 19 13:44:45 2017 -0500

    Restart httpd only if it is running.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1396184

 .../appliance_console/external_httpd_authentication.rb  |  9 +++++----
 .../external_httpd_authentication_spec.rb               | 17 +++++++++++++++++
 2 files changed, 22 insertions(+), 4 deletions(-)

Comment 6 luke couzens 2017-02-28 12:57:00 UTC
Verified in 5.8.0.2

Comment 8 errata-xmlrpc 2017-05-31 14:24:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.